RRDINFO(1)

NAME
rrdinfo - extract header information from an RRD

SYNOPSIS
rrdtool info filename [--daemon|-d address [--noflush|-F]]

DESCRIPTION
The info function prints the header information from an RRD in a parsing friendly format.

Check rrdcreate if you are uncertain about the meaning of the individual keys.

filename
    The name of the RRD you want to examine.

--daemon|-d address
    Address of the rrdcached daemon. If specified, a "flush" command is sent to the server before reading the RRD files. This allows rrdtool to return fresh data even if the daemon is configured to cache values for a long time. For a list of accepted formats, see the -l option in the rrdcached manual.

     rrdtool info --daemon unix:/var/run/rrdcached.sock /var/lib/rrd/foo.rrd

--noflush|-F
    Omit the "flush" command usually sent to the daemon prior to retrieving the data. If all you are interested in the the RRD Structure, and not the last update time or current values, then this will improve efficiency.

EXAMPLE
This is the output generated by running info on a simple RRD which contains two data sources and one RRA. Note that the number after the last_update keyword is in seconds since 1970. The string NaN stands for *UNKNOWN* data. In the example it means that this RRD has neither minimum nor maximum values defined for either of its data sources.

 filename = "random.rrd"
 rrd_version = "0001"
 step = 300
 last_update = 955892996
 header_size = 2872
 ds[a].type = "GAUGE"
 ds[a].minimal_heartbeat = 600
 ds[a].min = NaN
 ds[a].max = NaN
 ds[a].last_ds = "UNKN"
 ds[a].value = 2.1824421548e+04
 ds[a].unknown_sec = 0
 ds[b].type = "GAUGE"
 ds[b].minimal_heartbeat = 600
 ds[b].min = NaN
 ds[b].max = NaN
 ds[b].last_ds = "UNKN"
 ds[b].value = 3.9620838224e+03
 ds[b].unknown_sec = 0
 rra[0].cf = "AVERAGE"
 rra[0].pdp_per_row = 1
 rra[0].cdp_prep[0].value = nan
 rra[0].cdp_prep[0].unknown_datapoints = 0
 rra[0].cdp_prep[1].value = nan
 rra[0].cdp_prep[1].unknown_datapoints = 0

ENVIRONMENT VARIABLES
The following environment variables may be used to change the behavior of "rrdtool info":

RRDCACHED_ADDRESS
    If this environment variable is set it will have the same effect as specifying the "--daemon" option on the command line. If both are present, the command line argument takes precedence.

AUTHOR
Tobias Oetiker <tobi@oetiker.ch>